What is the change and when is it happening?

Deputy shall be updating the Secure Socket Layer (SSL) certificates to Amazon issued SSL certificates across Deputy’s entire application and website.

This change will be occurring on Tuesday 28th November 9:00 am (AEDT).

How do I know if I’m impacted and what is the impact?

If you are trying to access Deputy from any old Android device or an old browser/operating system, you may receive a ‘Your connection is not private’ error or an Invalid Certificate error. This may prevent you from accessing Deputy further.

Please note, this is not due to the fact that the certificate is invalid. This is because your current browser/operating system may not be updated to the latest version and hence, it is unable to validate the certificate.

What action do I need to take?

All latest devices/operating systems/internet browsers support the AWS provided certificate. However, if you encounter any errors, you may need to update your browser version/device firmware to ensure you are secured and able to access Deputy.

How can I get more information?

For more information on AWS certificates, you can refer to the AWS Certificate Manager.

If you have further questions, please reach out to Customer Support by emailing experience@deputy.com

Did this answer your question?